package com.usky.website.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.website.domain.SiteCategory;
import com.usky.website.mapper.SiteCategoryMapper;
import com.usky.website.service.SiteCategoryService;
import com.usky.website.service.vo.SiteCategoryVo;
import org.apache.commons.beanutils.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 官网_栏目管理 服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
@Service
public class SiteCategoryServiceImpl extends AbstractCrudService<SiteCategoryMapper, SiteCategory> implements SiteCategoryService {

    public void siteCategoryList() {
        LambdaQueryWrapper<SiteCategory> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(SiteCategory::getStatus, 1)
                .orderByAsc(SiteCategory::getSortindex);
        List<SiteCategory> list = this.list(queryWrapper);
        //把EduSubject的数组entities包装成SubjectVO数组
        List<SiteCategoryVo> subjectVOS = list.stream().map(subject -> {
            SiteCategoryVo subjectVO = new SiteCategoryVo();
//            BeanUtils.copyProperties(subject, subjectVO);
            return subjectVO;
        }).collect(Collectors.toList());
    }

}
